# Uses of Class
java.lang.module.ModuleReference

Packages that use ModuleReference
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleReference in java.lang.module

Methods in java.lang.module that return ModuleReference
Modifier and Type
Method
Description
`ModuleReference`
ResolvedModule.`reference()`
Returns the reference to the module's content.
Methods in java.lang.module that return types with arguments of type ModuleReference
Modifier and Type
Method
Description
`Optional<ModuleReference>`
ModuleFinder.`find(String name)`
Finds a reference to a module of a given name.
`Set<ModuleReference>`
ModuleFinder.`findAll()`
Returns the set of all module references that this finder can locate.